Download it now!
Bug 135167 - BigPtrArray::Index2Block undo crash
Summary: BigPtrArray::Index2Block undo crash
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
: 131676 132660 133911 133914 134102 (view as bug list)
Depends on:
Blocks: Crash-Assert Crash-BigPtrArray
  Show dependency treegraph
 
Reported: 2020-07-26 18:52 UTC by Telesto
Modified: 2020-08-11 18:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file (523.37 KB, application/vnd.oasis.opendocument.text)
2020-07-26 18:52 UTC, Telesto
Details
bt with debug symbols (8.52 KB, text/plain)
2020-07-26 20:41 UTC, Julien Nabet
Details
Additional Example file (1.14 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-07-28 09:53 UTC, Telesto
Details
Example file 3 (12.76 KB, application/vnd.oasis.opendocument.text)
2020-07-28 17:54 UTC, Telesto
Details
Example file 4 (230.30 KB, application/vnd.oasis.opendocument.text)
2020-08-11 18:41 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-07-26 18:52:42 UTC
Description:
BigPtrArray::Index2Block undo crash at undo

Steps to Reproduce:
1. Open the attached file
2. CTRL+A
3. CTRL+C
4. CTRL+N
5. CTRL+V
6. CTRL+Z

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
7.1
6.0
4.4.7.2
4.2.7.2
4.0.0.3
3.3.0
Comment 1 Telesto 2020-07-26 18:52:58 UTC
Created attachment 163582 [details]
Example file
Comment 2 Julien Nabet 2020-07-26 19:14:19 UTC
Searching in Bugzilla, we've got this https://bugs.documentfoundation.org/buglist.cgi?quicksearch=Index2Block&list_id=1175224
and in peculiar tdf#134101 which is very resembling. (BigPtrArray::Index2Block + undo process in both cases + odt)

IMHO, it could be interesting to wait for this one to be fixed before creating new similar bugtrackers.
Comment 3 Telesto 2020-07-26 19:18:38 UTC
(In reply to Julien Nabet from comment #2)
> Searching in Bugzilla, we've got this
> https://bugs.documentfoundation.org/buglist.
> cgi?quicksearch=Index2Block&list_id=1175224
> and in peculiar tdf#134101 which is very resembling.
> (BigPtrArray::Index2Block + undo process in both cases + odt)
> 
> IMHO, it could be interesting to wait for this one to be fixed before
> creating new similar bugtrackers.

There are some fixed new introduced.. lots of stuff crashes into BigPtrArray::Index2Block.. So I'm never sure.. 

There are three bugs around which could be they same -> all inherited.. so maybe/ hopefully the same... a BT would tell (that's the reason for wantBackTrace :-)
Comment 4 Julien Nabet 2020-07-26 20:41:28 UTC
Created attachment 163586 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I got an assertion.
Comment 5 Telesto 2020-07-26 21:32:38 UTC
@Julien
Could you add BT to all the see also's? So we finally know if there a dupes
Comment 6 Telesto 2020-07-26 21:39:23 UTC
*** Bug 131676 has been marked as a duplicate of this bug. ***
Comment 7 Julien Nabet 2020-07-27 11:06:12 UTC
(In reply to Telesto from comment #5)
> @Julien
> Could you add BT to all the see also's? So we finally know if there a dupes

Done. I think we got dupes.
Since tdf#131676 is the oldest one, this one should stay and all the others should be dups.
+ don't submit new bugtracker if it's undo related + BigPtrArray::Index2Block
Comment 8 Telesto 2020-07-27 11:14:34 UTC
*** Bug 133914 has been marked as a duplicate of this bug. ***
Comment 9 Telesto 2020-07-27 11:16:07 UTC
*** Bug 133911 has been marked as a duplicate of this bug. ***
Comment 10 Telesto 2020-07-27 11:16:56 UTC
*** Bug 132660 has been marked as a duplicate of this bug. ***
Comment 11 Telesto 2020-07-27 11:26:03 UTC
*** Bug 134102 has been marked as a duplicate of this bug. ***
Comment 12 Telesto 2020-07-28 09:53:57 UTC
Created attachment 163679 [details]
Additional Example file

1. CTRL+A
2. CTRL+C
3. CTRL+N
4. CTRL+V
5. CTRL+Z
Comment 13 Telesto 2020-07-28 17:54:07 UTC
Created attachment 163709 [details]
Example file 3

1. Open the attached file
2. CTRL+A
3. CTRL+C
4. CTRL+N
5. CTRL+Z
Comment 14 Telesto 2020-07-28 18:09:46 UTC
@M. Stahl
Not a major crasher based on the crash stats; between 80 +/-100 for the releases with functional symbols for the crash reporter.

However for some reason - probably because of my habit of undoing a full doc paste - I run into this quite often.. already at 8 examples.. 

And so would love to see this going away .. of course you have already a number of bug on your plate..
Comment 15 Telesto 2020-08-11 18:41:13 UTC
Created attachment 164175 [details]
Example file 4